# Method: localinventory.insert

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/insert#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/insert#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/insert#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory/insert#try-it)

Updates the local inventory of a product in your Merchant Center account.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/products/{productId}/localinventory`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account that contains the product. This account cannot be a multi-client account. |
| `productId` | `string` The [REST ID](https://developers.google.com/shopping-content/v2/reference/v2.1/products#id) of the product for which to update local inventory. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory#LocalInventory`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/localinventory#LocalInventory`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).